Index: library/tests/loggers_test.cpp
===================================================================
--- library/tests/loggers_test.cpp (revision 470)
+++ library/tests/loggers_test.cpp (revision 477)
@@ -10,34 +10,33 @@
 using namespace bdm;
 
-TEST(test_dirfilelog)
-{
-    RV th = RV("{alog blog }");
-    RV r = RV("{r }", "2");
+TEST ( test_dirfilelog ) {
+	RV th = RV ( "{alog blog }" );
+	RV r = RV ( "{r }", "2" );
 
-    string ls("exp");
-    remove_all(ls.c_str());
-    makedir(ls, false);
-    remove_all("exp/dirfile");
+	string ls ( "exp" );
+	remove_all ( ls.c_str() );
+	makedir ( ls, false );
+	remove_all ( "exp/dirfile" );
 
-    dirfilelog L("exp/dirfile", 10);
+	dirfilelog L ( "exp/dirfile", 10 );
 
-    int rid;
-    int thid;
+	int rid;
+	int thid;
 
-    rid = L.add(r, "");
-    thid = L.add(th, "th");
+	rid = L.add ( r, "" );
+	thid = L.add ( th, "th" );
 
-    L.init();
+	L.init();
 
-    for (int i = 0; i < 150; i++) {
-	    L.logit(rid, vec_2((double)i, (double)(i + 1)));
-	    L.logit(thid, vec_2((double)(100 - i), (double)(i - 50)));
-	    L.step();
-    }
+	for ( int i = 0; i < 150; i++ ) {
+		L.logit ( rid, vec_2 ( ( double ) i, ( double ) ( i + 1 ) ) );
+		L.logit ( thid, vec_2 ( ( double ) ( 100 - i ), ( double ) ( i - 50 ) ) );
+		L.step();
+	}
 
-    L.finalize();
+	L.finalize();
 
-    std::string expected(load_test_file("dirfile-format.matrix"));
-    std::string actual(load_test_file("exp/dirfile/format"));
-    CHECK_EQUAL(expected, actual);
+	std::string expected ( load_test_file ( "dirfile-format.matrix" ) );
+	std::string actual ( load_test_file ( "exp/dirfile/format" ) );
+	CHECK_EQUAL ( expected, actual );
 }
Index: library/tests/emix_test.cpp
===================================================================
--- library/tests/emix_test.cpp (revision 461)
+++ library/tests/emix_test.cpp (revision 477)
@@ -9,17 +9,18 @@
 using std::endl;
 
-double normcoef ( const epdf* ep,const vec &xb, const vec &yb, int Ngr=100 ) {
-	mat PPdf ( Ngr+1,Ngr+1 );
+double normcoef ( const epdf* ep, const vec &xb, const vec &yb, int Ngr = 100 ) {
+	mat PPdf ( Ngr + 1, Ngr + 1 );
 	vec rgr ( 2 );
 
-	int i=0,j=0;
-	double xstep= ( xb ( 1 )-xb ( 0 ) ) /Ngr;
-	double ystep= ( yb ( 1 )-yb ( 0 ) ) /Ngr;
+	int i = 0, j = 0;
+	double xstep = ( xb ( 1 ) - xb ( 0 ) ) / Ngr;
+	double ystep = ( yb ( 1 ) - yb ( 0 ) ) / Ngr;
 
-	for ( double x=xb ( 0 );x<=xb ( 1 );x+= xstep,i++ ) {
-		rgr ( 0 ) =x;j=0;
-		for ( double y=yb ( 0 );y<=yb ( 1 );y+=ystep,j++ ) {
-			rgr ( 1 ) =y;
-			PPdf ( i,j ) =exp ( ep->evallog ( rgr ) );
+	for ( double x = xb ( 0 ); x <= xb ( 1 ); x += xstep, i++ ) {
+		rgr ( 0 ) = x;
+		j = 0;
+		for ( double y = yb ( 0 ); y <= yb ( 1 ); y += ystep, j++ ) {
+			rgr ( 1 ) = y;
+			PPdf ( i, j ) = exp ( ep->evallog ( rgr ) );
 		}
 	}
@@ -32,63 +33,67 @@
 	RV x ( "{x }" );
 	RV y ( "{y }" );
-	RV xy=concat(x,y);
-	
-	enorm<ldmat> E1; E1.set_rv ( xy );
-		
-	E1.set_parameters( "1.00054 1.0455" , mat ( "0.740142 -0.259015; -0.259015 1.0302" ));
-	enorm<ldmat> E2;E2.set_rv ( xy );
-	E2.set_parameters( "-1.2 -0.1" , mat ( "1 0.4; 0.4 0.5" ));
+	RV xy = concat ( x, y );
 
-	Array<epdf*> A1(1);
-	A1(0) = &E1;
-	
-	emix M1; M1.set_rv(xy);
-	M1.set_parameters(vec("1"), A1, false);
-	cout << "======== test if ARX and emix with one ARX are the same ==="<<endl;
-	
-	epdf* Mm = M1.marginal(y);
-	epdf* Am = E1.marginal(y);
-	mpdf* Mc = M1.condition(y);
-	mpdf* Ac = E1.condition(y);
-	
-	cout << *((mlnorm<ldmat>*)Ac) <<endl;
-	
-	cout << "Mix marg at 0: " << Mm->evallog(vec_1(0.0)) <<endl;
-	cout << "ARX marg at 0: " << Am->evallog(vec_1(0.0)) <<endl;
-	cout << "Mix cond at 0,0: " << Mc->evallogcond(vec_1(0.0),vec_1(0.0)) <<endl;
-	cout << "ARX cond at 0,0: " << Ac->evallogcond(vec_1(0.0),vec_1(0.0)) <<endl;
-	
-	cout << "======== Mixture with two components ==="<<endl;
-	Array<epdf*> A2(2);
-	A2(0) = &E1;
-	A2(1) = &E2;
-	
-	emix M2; M2.set_rv(xy);
-	M2.set_parameters(vec("1"), A2, false);
-	
-	
-	cout << "Mixture normalization: " << normcoef(&M2, vec("-3 3 "), vec("-3 3 ")) <<endl;
-	
-	int N=3;
+	enorm<ldmat> E1;
+	E1.set_rv ( xy );
+
+	E1.set_parameters ( "1.00054 1.0455" , mat ( "0.740142 -0.259015; -0.259015 1.0302" ) );
+	enorm<ldmat> E2;
+	E2.set_rv ( xy );
+	E2.set_parameters ( "-1.2 -0.1" , mat ( "1 0.4; 0.4 0.5" ) );
+
+	Array<epdf*> A1 ( 1 );
+	A1 ( 0 ) = &E1;
+
+	emix M1;
+	M1.set_rv ( xy );
+	M1.set_parameters ( vec ( "1" ), A1, false );
+	cout << "======== test if ARX and emix with one ARX are the same ===" << endl;
+
+	epdf* Mm = M1.marginal ( y );
+	epdf* Am = E1.marginal ( y );
+	mpdf* Mc = M1.condition ( y );
+	mpdf* Ac = E1.condition ( y );
+
+	cout << * ( ( mlnorm<ldmat>* ) Ac ) << endl;
+
+	cout << "Mix marg at 0: " << Mm->evallog ( vec_1 ( 0.0 ) ) << endl;
+	cout << "ARX marg at 0: " << Am->evallog ( vec_1 ( 0.0 ) ) << endl;
+	cout << "Mix cond at 0,0: " << Mc->evallogcond ( vec_1 ( 0.0 ), vec_1 ( 0.0 ) ) << endl;
+	cout << "ARX cond at 0,0: " << Ac->evallogcond ( vec_1 ( 0.0 ), vec_1 ( 0.0 ) ) << endl;
+
+	cout << "======== Mixture with two components ===" << endl;
+	Array<epdf*> A2 ( 2 );
+	A2 ( 0 ) = &E1;
+	A2 ( 1 ) = &E2;
+
+	emix M2;
+	M2.set_rv ( xy );
+	M2.set_parameters ( vec ( "1" ), A2, false );
+
+
+	cout << "Mixture normalization: " << normcoef ( &M2, vec ( "-3 3 " ), vec ( "-3 3 " ) ) << endl;
+
+	int N = 3;
 	vec ll ( N );
 	vec ll2 ( N );
-	mat Smp=M2.sample_m ( N );
-	ll = M2.evallog_m(Smp);
-	
-	vec Emu = sum ( Smp,2 ) /N;
-	mat Er = ( Smp*Smp.transpose() ) /N - outer_product ( Emu,Emu );
+	mat Smp = M2.sample_m ( N );
+	ll = M2.evallog_m ( Smp );
 
-	cout << "original empirical mean: " <<Emu <<endl;
-	cout << "original empirical variance: " <<Er <<endl;
+	vec Emu = sum ( Smp, 2 ) / N;
+	mat Er = ( Smp * Smp.transpose() ) / N - outer_product ( Emu, Emu );
 
-	shared_ptr<epdf> Mg(dynamic_cast<epdf *>(M2.marginal(y)));
-	mpdf* Cn = (mpdf*)M2.condition ( x );
+	cout << "original empirical mean: " << Emu << endl;
+	cout << "original empirical variance: " << Er << endl;
 
-	it_file it("emix_test.it");
-	it << Name("Smp") << Smp;
+	shared_ptr<epdf> Mg ( dynamic_cast<epdf *> ( M2.marginal ( y ) ) );
+	mpdf* Cn = ( mpdf* ) M2.condition ( x );
 
-	cout<< "marginal mean: " << Mg->mean() <<endl;
+	it_file it ( "emix_test.it" );
+	it << Name ( "Smp" ) << Smp;
 
-	cout << "========== putting them back together ======= "<<endl;
+	cout << "marginal mean: " << Mg->mean() << endl;
+
+	cout << "========== putting them back together ======= " << endl;
 	mepdf mMg ( Mg );
 	Array<mpdf*> AA ( 2 );
@@ -97,10 +102,10 @@
 	mprod mEp ( AA );
 
-	for (int j=0; j<N; j++){
-		ll2(j)=mEp.evallogcond (Smp.get_col(j), vec ( 0 ));
+	for ( int j = 0; j < N; j++ ) {
+		ll2 ( j ) = mEp.evallogcond ( Smp.get_col ( j ), vec ( 0 ) );
 	}
-	it << Name("ll") << ll;
-	it << Name("ll2") << ll2;
-	
-	
+	it << Name ( "ll" ) << ll;
+	it << Name ( "ll2" ) << ll2;
+
+
 }
Index: library/tests/merger_2d_test.cpp
===================================================================
--- library/tests/merger_2d_test.cpp (revision 386)
+++ library/tests/merger_2d_test.cpp (revision 477)
@@ -14,56 +14,60 @@
 
 	RNG_randomize();
-	
-	RV x ( "{x }","1" );
-	RV y ( "{y }","1" );
 
-	RV xy=x; xy.add(y);
-	
-	enorm<fsqmat> f1; f1.set_rv ( xy );
-	enorm<fsqmat> f2; f1.set_rv ( xy );
-		
+	RV x ( "{x }", "1" );
+	RV y ( "{y }", "1" );
+
+	RV xy = x;
+	xy.add ( y );
+
+	enorm<fsqmat> f1;
+	f1.set_rv ( xy );
+	enorm<fsqmat> f2;
+	f1.set_rv ( xy );
+
 	mat R1 ( "0.5 0.48; 0.48 0.5" );
 	mat R2 ( "0.5 0; 0 0.1" );
-	f1.set_parameters ( "1 1", R1);
-	f2.set_parameters ( "1 1",mat ( "0.5 0; 0 0.1" ) );
-	
+	f1.set_parameters ( "1 1", R1 );
+	f2.set_parameters ( "1 1", mat ( "0.5 0; 0 0.1" ) );
+
 	Array<mpdf* > A ( 2 );
-	mepdf A1(&f1);
-	mepdf A2(&f2);
-	A ( 0 ) =&A1;
-	A ( 1 ) =&A2;
-	
-	int Npoints=100;
-	mat x_grid(1,Npoints);
-	x_grid.set_row(0,linspace ( -2.0, 4.0, Npoints ));
-	mat y_grid(1,Npoints);
-	y_grid.set_row(0,linspace ( -2.0, 4.0, Npoints ));
-	
-	mat Grid (2,Npoints*Npoints);
-	Grid.set_submatrix ( 0,0, kron(x_grid,ones(1,Npoints)) );
-	Grid.set_submatrix ( 1,0, kron(ones(1,Npoints), y_grid) );
-	
+	mepdf A1 ( &f1 );
+	mepdf A2 ( &f2 );
+	A ( 0 ) = &A1;
+	A ( 1 ) = &A2;
+
+	int Npoints = 100;
+	mat x_grid ( 1, Npoints );
+	x_grid.set_row ( 0, linspace ( -2.0, 4.0, Npoints ) );
+	mat y_grid ( 1, Npoints );
+	y_grid.set_row ( 0, linspace ( -2.0, 4.0, Npoints ) );
+
+	mat Grid ( 2, Npoints*Npoints );
+	Grid.set_submatrix ( 0, 0, kron ( x_grid, ones ( 1, Npoints ) ) );
+	Grid.set_submatrix ( 1, 0, kron ( ones ( 1, Npoints ), y_grid ) );
+
 	merger_mix M ( A );
-	enorm<fsqmat> g0; g0.set_rv(xy);
-	g0.set_parameters(vec("1 1"),mat("10 0; 0 10"));
-	
-	M.set_parameters(1);
-	M.set_method(LOGNORMAL,1e8);
-	M.set_support(g0,400);
+	enorm<fsqmat> g0;
+	g0.set_rv ( xy );
+	g0.set_parameters ( vec ( "1 1" ), mat ( "10 0; 0 10" ) );
+
+	M.set_parameters ( 1 );
+	M.set_method ( LOGNORMAL, 1e8 );
+	M.set_support ( g0, 400 );
 	M.merge();
-	
+
 	MixEF &MM = M._Mix();
 	emix* MP = MM.epredictor(); //xy
-	
-	vec Res1 = M.evallog_m(Grid);
-	mat Res2 = (MP)->evallog_M(Grid);
-	
-	it_file it("merger_2d_test.it");
-	it << Name("Npoints") << Npoints;
-	it << Name("Grid") << Grid;
-	it << Name("Res1") << Res1;
-	it << Name("Res2") << Res2;
-	it << Name("S1") << f1.evallog_m(Grid);
-	it << Name("S2") << f2.evallog_m(Grid);
-	cout << ((enorm<ldmat>*)(MP->_Coms(0)))->_R().to_mat() << endl;
+
+	vec Res1 = M.evallog_m ( Grid );
+	mat Res2 = ( MP )->evallog_M ( Grid );
+
+	it_file it ( "merger_2d_test.it" );
+	it << Name ( "Npoints" ) << Npoints;
+	it << Name ( "Grid" ) << Grid;
+	it << Name ( "Res1" ) << Res1;
+	it << Name ( "Res2" ) << Res2;
+	it << Name ( "S1" ) << f1.evallog_m ( Grid );
+	it << Name ( "S2" ) << f2.evallog_m ( Grid );
+	cout << ( ( enorm<ldmat>* ) ( MP->_Coms ( 0 ) ) )->_R().to_mat() << endl;
 }
Index: library/tests/test_kalman_QRexh.cpp
===================================================================
--- library/tests/test_kalman_QRexh.cpp (revision 386)
+++ library/tests/test_kalman_QRexh.cpp (revision 477)
@@ -11,5 +11,5 @@
 int main() {
 	// Klaman filter
-	mat A, B,C,D,R,Q,P0;
+	mat A, B, C, D, R, Q, P0;
 	vec mu0;
 	mat Mu0;// read from matlab
@@ -17,12 +17,14 @@
 	it_file fin ( "testKF.it" );
 
-	mat Dt, XQRt,eR,eQ;
+	mat Dt, XQRt, eR, eQ;
 	int Ndat;
 
-	bool xxx= fin.seek ( "d" );
+	bool xxx = fin.seek ( "d" );
 
-	if ( !xxx ) { it_error ( "testKF.it not found" );}
+	if ( !xxx ) {
+		it_error ( "testKF.it not found" );
+	}
 
-	fin >>Dt;
+	fin >> Dt;
 
 	fin.seek ( "A" );
@@ -36,8 +38,11 @@
 	fin.seek ( "R" );
 	fin >> R;
-	fin.seek ( "Q" ); fin >> Q;
-	fin.seek ( "P0" ); fin >> P0;
-	fin.seek ( "mu0" ); fin >> Mu0;
-	mu0=Mu0.get_col ( 0 );
+	fin.seek ( "Q" );
+	fin >> Q;
+	fin.seek ( "P0" );
+	fin >> P0;
+	fin.seek ( "mu0" );
+	fin >> Mu0;
+	mu0 = Mu0.get_col ( 0 );
 
 	vec vQ1 = "0.01:0.04:1";
@@ -48,24 +53,24 @@
 	Ndat = Dt.cols();
 
-	RV rx ( "{x}","2" );
-	RV ru ( "{u}","1" );
-	RV ry ( "{y}","2" );
+	RV rx ( "{x}", "2" );
+	RV ru ( "{u}", "1" );
+	RV ry ( "{y}", "2" );
 	//
 	//
 	Kalman<ldmat> KFtr;
 
-	for ( int i =0; i<vQ1.length();i++ ) {
+	for ( int i = 0; i < vQ1.length(); i++ ) {
 
-		for ( int j = 0; j<vQ2.length();j++ ) {
+		for ( int j = 0; j < vQ2.length(); j++ ) {
 			// KF with R unknown
 			mat Qj = Q;
-			Qj ( 0,0 ) = vQ1 ( i );
-			Qj ( 1,1 ) = vQ2 ( j );
-			KFtr.set_parameters ( A,B,C,D,ldmat ( R ),ldmat ( Qj ) );
-			KFtr.set_est ( mu0,ldmat ( P0 ) );
+			Qj ( 0, 0 ) = vQ1 ( i );
+			Qj ( 1, 1 ) = vQ2 ( j );
+			KFtr.set_parameters ( A, B, C, D, ldmat ( R ), ldmat ( Qj ) );
+			KFtr.set_est ( mu0, ldmat ( P0 ) );
 
-			for ( int t=1;t<Ndat;t++ ) {
+			for ( int t = 1; t < Ndat; t++ ) {
 				KFtr.bayes ( Dt.get_col ( t ) );
-				LL ( i,j ) += KFtr._ll();
+				LL ( i, j ) += KFtr._ll();
 			}
 		}
Index: library/tests/square_mat_point.h
===================================================================
--- library/tests/square_mat_point.h (revision 468)
+++ library/tests/square_mat_point.h (revision 477)
@@ -20,43 +20,42 @@
   random vector and one random scalar.
  */
-class square_mat_point : public bdm::root
-{
+class square_mat_point : public bdm::root {
 private:
-    itpp::mat matrix;
-    itpp::vec vector;
-    double scalar;
+	itpp::mat matrix;
+	itpp::vec vector;
+	double scalar;
 
 public:
-    square_mat_point():scalar(0) { }
+	square_mat_point() : scalar ( 0 ) { }
 
-    itpp::mat get_matrix() const {
-	return matrix;
-    }
+	itpp::mat get_matrix() const {
+		return matrix;
+	}
 
-    itpp::vec get_vector() const {
-	return vector;
-    }
+	itpp::vec get_vector() const {
+		return vector;
+	}
 
-    double get_scalar() const {
-        return scalar;
-    }
+	double get_scalar() const {
+		return scalar;
+	}
 
-    void set_parameters(const itpp::mat &m, const itpp::vec &v, double s) {
-        matrix = m;
-	vector = v;
-	scalar = s;
-    }
+	void set_parameters ( const itpp::mat &m, const itpp::vec &v, double s ) {
+		matrix = m;
+		vector = v;
+		scalar = s;
+	}
 
-    //! Load from structure with elements:
-    //!  \code
-    //! { matrix = ( "matrix", ...
-    //!   vector = [ ...
-    //!   scalar = ...
-    //! }
-    //! \endcode
-    //! All elements are mandatory.
-    void from_setting(const Setting &set);
-  
-    void to_setting(Setting &set) const;
+	//! Load from structure with elements:
+	//!  \code
+	//! { matrix = ( "matrix", ...
+	//!   vector = [ ...
+	//!   scalar = ...
+	//! }
+	//! \endcode
+	//! All elements are mandatory.
+	void from_setting ( const Setting &set );
+
+	void to_setting ( Setting &set ) const;
 };
 
Index: library/tests/testsuite.cpp
===================================================================
--- library/tests/testsuite.cpp (revision 452)
+++ library/tests/testsuite.cpp (revision 477)
@@ -2,7 +2,6 @@
 #include "itpp_ext.h"
 
-int main(int, char const *[])
-{
-    itpp::RNG_randomize();
-    return UnitTest::RunAllTests();
+int main ( int, char const *[] ) {
+	itpp::RNG_randomize();
+	return UnitTest::RunAllTests();
 }
Index: library/tests/test_shared_ptr.cpp
===================================================================
--- library/tests/test_shared_ptr.cpp (revision 421)
+++ library/tests/test_shared_ptr.cpp (revision 477)
@@ -3,48 +3,50 @@
 #include <vector>
 
-class Foo
-{ 
+class Foo {
 private:
-    int x;
+	int x;
 
 public:
-    Foo(int x):x(x) { }
+	Foo ( int x ) : x ( x ) { }
 
-    int get_x() const { return x; }
+	int get_x() const {
+		return x;
+	}
 
-    void set_x(int nx) { x = nx; }
+	void set_x ( int nx ) {
+		x = nx;
+	}
 };
 
 typedef std::vector<bdm::shared_ptr<Foo> > TFooVector;
 
-TEST(test_shared_ptr)
-{
-    TFooVector v;
+TEST ( test_shared_ptr ) {
+	TFooVector v;
 
-    bdm::shared_ptr<Foo> zero;
-    CHECK_EQUAL(0l, zero.use_count());
-    bdm::shared_ptr<Foo> z2(zero);
-    CHECK_EQUAL(0l, z2.use_count());
+	bdm::shared_ptr<Foo> zero;
+	CHECK_EQUAL ( 0l, zero.use_count() );
+	bdm::shared_ptr<Foo> z2 ( zero );
+	CHECK_EQUAL ( 0l, z2.use_count() );
 
-    bdm::shared_ptr<Foo> one(new Foo(1));
-    v.push_back(one);
-    CHECK(!one.unique());
+	bdm::shared_ptr<Foo> one ( new Foo ( 1 ) );
+	v.push_back ( one );
+	CHECK ( !one.unique() );
 
-    v.push_back(one);
-    v.push_back(bdm::shared_ptr<Foo>(new Foo(2)));
-    CHECK_EQUAL(static_cast<TFooVector::size_type>(3), v.size());
+	v.push_back ( one );
+	v.push_back ( bdm::shared_ptr<Foo> ( new Foo ( 2 ) ) );
+	CHECK_EQUAL ( static_cast<TFooVector::size_type> ( 3 ), v.size() );
 
-    CHECK(v[0] == v[1]);
-    CHECK(v[1] != v[2]);
+	CHECK ( v[0] == v[1] );
+	CHECK ( v[1] != v[2] );
 
-    Foo c(*(v[0]));
-    CHECK_EQUAL(1, c.get_x());
-    
-    Foo *p = v[1].get();
-    CHECK_EQUAL(1, p->get_x());
-    p->set_x(12);
-    CHECK_EQUAL(12, one->get_x());
+	Foo c ( * ( v[0] ) );
+	CHECK_EQUAL ( 1, c.get_x() );
 
-    CHECK(v[2].unique());
-    CHECK_EQUAL(2, v[2]->get_x());
+	Foo *p = v[1].get();
+	CHECK_EQUAL ( 1, p->get_x() );
+	p->set_x ( 12 );
+	CHECK_EQUAL ( 12, one->get_x() );
+
+	CHECK ( v[2].unique() );
+	CHECK_EQUAL ( 2, v[2]->get_x() );
 }
Index: library/tests/dirent.h
===================================================================
--- library/tests/dirent.h (revision 469)
+++ library/tests/dirent.h (revision 477)
@@ -9,38 +9,36 @@
     History: Created March 1997. Updated June 2003.
     Rights:  See end of file.
-    
+
 */
 
 #ifdef __cplusplus
-extern "C"
-{
+extern "C" {
 #endif
 
-typedef struct DIR DIR;
+	typedef struct DIR DIR;
 
-struct dirent
-{
-    char *d_name;
-};
+	struct dirent {
+		char *d_name;
+	};
 
-DIR           *opendir(const char *);
-int           closedir(DIR *);
-struct dirent *readdir(DIR *);
-void          rewinddir(DIR *);
+	DIR           *opendir ( const char * );
+	int           closedir ( DIR * );
+	struct dirent *readdir ( DIR * );
+	void          rewinddir ( DIR * );
 
-/*
+	/*
 
-    Copyright Kevlin Henney, 1997, 2003. All rights reserved.
+	    Copyright Kevlin Henney, 1997, 2003. All rights reserved.
 
-    Permission to use, copy, modify, and distribute this software and its
-    documentation for any purpose is hereby granted without fee, provided
-    that this copyright and permissions notice appear in all copies and
-    derivatives.
-    
-    This software is supplied "as is" without express or implied warranty.
+	    Permission to use, copy, modify, and distribute this software and its
+	    documentation for any purpose is hereby granted without fee, provided
+	    that this copyright and permissions notice appear in all copies and
+	    derivatives.
 
-    But that said, if there are any problems please get in touch.
+	    This software is supplied "as is" without express or implied warranty.
 
-*/
+	    But that said, if there are any problems please get in touch.
+
+	*/
 
 #ifdef __cplusplus
Index: library/tests/generator.h
===================================================================
--- library/tests/generator.h (revision 467)
+++ library/tests/generator.h (revision 477)
@@ -19,12 +19,11 @@
 /*! An input iterator over IT++ matrices.
  */
-class generator : public bdm::root
-{
+class generator : public bdm::root {
 public:
-    generator();
+	generator();
 
-    //! Generates a matrix. Returned matrices should become
-    //! progressively more complicated.
-    virtual itpp::mat next() = 0;
+	//! Generates a matrix. Returned matrices should become
+	//! progressively more complicated.
+	virtual itpp::mat next() = 0;
 };
 
Index: library/tests/test_particle.cpp
===================================================================
--- library/tests/test_particle.cpp (revision 386)
+++ library/tests/test_particle.cpp (revision 477)
@@ -12,29 +12,33 @@
 int main() {
 
-	RV x("1");
-	RV xm=x; xm.t(-1);const
-	RV y("2");
-	
+	RV x ( "1" );
+	RV xm = x;
+	xm.t ( -1 );
+	const
+	RV y ( "2" );
+
 	mat A = "1";
 	vec vR = "1";
-	ldmat R(vR);
-		
+	ldmat R ( vR );
+
 	eEmp emp;
 	euni eun;
-	eun.set_parameters("0","1");
-	emp.set_statistics(ones(10),&eun);
-	vec &v=emp._w();
-	Array<vec> &S=emp._samples();
-	
-	for (int i=0;i<10;i++){	v(i) = exp(-0.5*sum(pow(S(i)-1,2.0))*10);}
-	v/=sum(v);
-	
+	eun.set_parameters ( "0", "1" );
+	emp.set_statistics ( ones ( 10 ), &eun );
+	vec &v = emp._w();
+	Array<vec> &S = emp._samples();
+
+	for ( int i = 0; i < 10; i++ ) {
+		v ( i ) = exp ( -0.5 * sum ( pow ( S ( i ) - 1, 2.0 ) ) * 10 );
+	}
+	v /= sum ( v );
+
 	cout << "p:" << S << endl;
 	cout << "w:" << v << endl;
-	
+
 	ivec ind = emp.resample();
-	
+
 	cout << ind << endl;
-	
+
 	//Exit program:
 	return 0;
Index: library/tests/test_kalman.cpp
===================================================================
--- library/tests/test_kalman.cpp (revision 386)
+++ library/tests/test_kalman.cpp (revision 477)
@@ -10,39 +10,44 @@
 int main() {
 	// Kalman filter
-	mat A, B,C,D,R,Q,P0;
+	mat A, B, C, D, R, Q, P0;
 	vec mu0;
 	mat Mu0;;
 	// input from Matlab
-	it_file fin( "testKF.it" );
+	it_file fin ( "testKF.it" );
 
 	mat Dt;
 	int Ndat;
 
-	bool xxx= fin.seek( "d" );
-	if (!xxx){ it_error("testKF.it not found");}
-	fin >>Dt;
-	fin.seek( "A" ); 
+	bool xxx = fin.seek ( "d" );
+	if ( !xxx ) {
+		it_error ( "testKF.it not found" );
+	}
+	fin >> Dt;
+	fin.seek ( "A" );
 	fin >> A;
-	fin.seek( "B" ); 
+	fin.seek ( "B" );
 	fin >> B;
-	fin.seek( "C" ); 
+	fin.seek ( "C" );
 	fin >> C;
-	fin.seek( "D" ); 
+	fin.seek ( "D" );
 	fin >> D;
-	fin.seek( "R" ); 
+	fin.seek ( "R" );
 	fin >> R;
-	fin.seek( "Q" ); fin >> Q;
-	fin.seek( "P0" ); fin >> P0;
-	fin.seek( "mu0" ); fin >> Mu0; 
-	mu0=Mu0.get_col(0);
-	
+	fin.seek ( "Q" );
+	fin >> Q;
+	fin.seek ( "P0" );
+	fin >> P0;
+	fin.seek ( "mu0" );
+	fin >> Mu0;
+	mu0 = Mu0.get_col ( 0 );
+
 	Ndat = 10;//Dt.cols();
 	int dimx = A.rows();
-	
+
 	// Prepare for Kalman filters in BDM:
-	RV rx("{x }",vec_1(A.cols()));
-	RV ru("{u }",vec_1(B.cols()));
-	RV ry("{y }",vec_1(C.rows()));
-	
+	RV rx ( "{x }", vec_1 ( A.cols() ) );
+	RV ru ( "{u }", vec_1 ( B.cols() ) );
+	RV ry ( "{y }", vec_1 ( C.rows() ) );
+
 // 	// LDMAT
 // 	Kalman<ldmat> KF(rx,ry,ru);
@@ -50,79 +55,79 @@
 // 	KF.set_est(mu0,ldmat(P0) );
 // 	epdf& KFep = KF.posterior();
-// 	mat Xt(2,Ndat);	
+// 	mat Xt(2,Ndat);
 // 	Xt.set_col( 0,KFep.mean() );
 
 	//Chol
 	KalmanCh KF;
-	KF.set_parameters(A,B,C,D,chmat(R),chmat(Q));
-	KF.set_est(mu0,chmat(P0) ); //prediction!
+	KF.set_parameters ( A, B, C, D, chmat ( R ), chmat ( Q ) );
+	KF.set_est ( mu0, chmat ( P0 ) ); //prediction!
 	const epdf& KFep = KF.posterior();
- 	mat Xt(dimx,Ndat);	
- 	Xt.set_col( 0,KFep.mean() );
-	
-	//	
+	mat Xt ( dimx, Ndat );
+	Xt.set_col ( 0, KFep.mean() );
+
+	//
 	// FSQMAT
 	Kalman<ldmat> KFf;
-	KFf.set_parameters(A,B,C,D,ldmat(R),ldmat(Q));
-	KFf.set_est(mu0,ldmat(P0) );
+	KFf.set_parameters ( A, B, C, D, ldmat ( R ), ldmat ( Q ) );
+	KFf.set_est ( mu0, ldmat ( P0 ) );
 	const	epdf& KFfep = KFf.posterior();
-	mat Xtf(dimx,Ndat);	
-	Xtf.set_col( 0,KFfep.mean() );
-	
+	mat Xtf ( dimx, Ndat );
+	Xtf.set_col ( 0, KFfep.mean() );
+
 	// FULL
-	KalmanFull KF2( A,B,C,D,R,Q,P0,mu0 );
-	mat Xt2(dimx,Ndat);	
-	Xt2.set_col( 0,mu0);
+	KalmanFull KF2 ( A, B, C, D, R, Q, P0, mu0 );
+	mat Xt2 ( dimx, Ndat );
+	Xt2.set_col ( 0, mu0 );
 
-	
+
 	// EKF
-	bilinfn fxu(A,B);
-	bilinfn hxu(C,D);
+	bilinfn fxu ( A, B );
+	bilinfn hxu ( C, D );
 	EKFCh KFE;
-	KFE.set_parameters(&fxu,&hxu,Q,R);
-	KFE.set_est(mu0,chmat(P0));
+	KFE.set_parameters ( &fxu, &hxu, Q, R );
+	KFE.set_est ( mu0, chmat ( P0 ) );
 	const epdf& KFEep = KFE.posterior();
-	mat XtE(dimx,Ndat);	
-	XtE.set_col( 0,KFEep.mean() );
+	mat XtE ( dimx, Ndat );
+	XtE.set_col ( 0, KFEep.mean() );
 
 	//test performance of each filter
 	Real_Timer tt;
-	vec exec_times(4); // KF, KFf KF2, KFE
-	
-	tt.tic();
-	for ( int t=1;t<Ndat;t++ ) {
-		KF.bayes( Dt.get_col( t ));
-		Xt.set_col( t,KFep.mean() );
-	}
-	exec_times(0) = tt.toc();
-	
-	tt.tic();
-	for ( int t=1;t<Ndat;t++ ) {
-		KFf.bayes( Dt.get_col( t ));
-		Xtf.set_col( t,KFfep.mean() );
-	}
-	exec_times(1) = tt.toc();
+	vec exec_times ( 4 ); // KF, KFf KF2, KFE
 
 	tt.tic();
-	for ( int t=1;t<Ndat;t++ ) {
-		KF2.bayes( Dt.get_col( t ));
-		Xt2.set_col( t,KF2.mu);
+	for ( int t = 1; t < Ndat; t++ ) {
+		KF.bayes ( Dt.get_col ( t ) );
+		Xt.set_col ( t, KFep.mean() );
 	}
-	exec_times(2) = tt.toc();
+	exec_times ( 0 ) = tt.toc();
 
 	tt.tic();
-	for ( int t=1;t<Ndat;t++ ) {
-		KFE.bayes( Dt.get_col( t ));
-		XtE.set_col( t,KFEep.mean() );
+	for ( int t = 1; t < Ndat; t++ ) {
+		KFf.bayes ( Dt.get_col ( t ) );
+		Xtf.set_col ( t, KFfep.mean() );
 	}
-	exec_times(3) = tt.toc();
+	exec_times ( 1 ) = tt.toc();
+
+	tt.tic();
+	for ( int t = 1; t < Ndat; t++ ) {
+		KF2.bayes ( Dt.get_col ( t ) );
+		Xt2.set_col ( t, KF2.mu );
+	}
+	exec_times ( 2 ) = tt.toc();
+
+	tt.tic();
+	for ( int t = 1; t < Ndat; t++ ) {
+		KFE.bayes ( Dt.get_col ( t ) );
+		XtE.set_col ( t, KFEep.mean() );
+	}
+	exec_times ( 3 ) = tt.toc();
 
 
-	it_file fou( "testKF_res.it" );
-	fou << Name("xth") << Xt;
-	fou << Name("xthf") << Xtf;
-	fou << Name("xth2") << Xt2;
-	fou << Name("xthE") << XtE;
-	fou << Name("exec_times") << exec_times;
+	it_file fou ( "testKF_res.it" );
+	fou << Name ( "xth" ) << Xt;
+	fou << Name ( "xthf" ) << Xtf;
+	fou << Name ( "xth2" ) << Xt2;
+	fou << Name ( "xthE" ) << XtE;
+	fou << Name ( "exec_times" ) << exec_times;
 	//Exit program:
 	return 0;
Index: library/tests/test_kalman_QR.cpp
===================================================================
--- library/tests/test_kalman_QR.cpp (revision 461)
+++ library/tests/test_kalman_QR.cpp (revision 477)
@@ -11,74 +11,79 @@
 int main() {
 	// Klaman filter
-	mat A, B,C,D,R,Q,P0;
+	mat A, B, C, D, R, Q, P0;
 	vec mu0;
 	mat Mu0;// read from matlab
 	// input from Matlab
-	it_file fin( "testKF.it" );
+	it_file fin ( "testKF.it" );
 
-	mat Dt, XQRt,eR,eQ;
+	mat Dt, XQRt, eR, eQ;
 	int Ndat;
 
-	bool xxx= fin.seek( "d" );
-	if (!xxx){ it_error("testKF.it not found");}
-	fin >>Dt;
-	fin.seek( "A" ); 
+	bool xxx = fin.seek ( "d" );
+	if ( !xxx ) {
+		it_error ( "testKF.it not found" );
+	}
+	fin >> Dt;
+	fin.seek ( "A" );
 	fin >> A;
-	fin.seek( "B" ); 
+	fin.seek ( "B" );
 	fin >> B;
-	fin.seek( "C" ); 
+	fin.seek ( "C" );
 	fin >> C;
-	fin.seek( "D" ); 
+	fin.seek ( "D" );
 	fin >> D;
-	fin.seek( "R" ); 
+	fin.seek ( "R" );
 	fin >> R;
-	fin.seek( "Q" ); fin >> Q;
-	fin.seek( "P0" ); fin >> P0;
-	fin.seek( "mu0" ); fin >> Mu0; 
-	mu0=Mu0.get_col(0);
-	
+	fin.seek ( "Q" );
+	fin >> Q;
+	fin.seek ( "P0" );
+	fin >> P0;
+	fin.seek ( "mu0" );
+	fin >> Mu0;
+	mu0 = Mu0.get_col ( 0 );
+
 	Ndat = Dt.cols();
-	XQRt=zeros( 5,Ndat );
-	mat Xt=zeros( 2,Ndat );
+	XQRt = zeros ( 5, Ndat );
+	mat Xt = zeros ( 2, Ndat );
 
 //	cout << KF;
-	RV rx("{x }","2");
-	RV ru("{u }","1");
-	RV ry("{y }","1");
-	RV rQR("{Q,R }","3");
+	RV rx ( "{x }", "2" );
+	RV ru ( "{u }", "1" );
+	RV ry ( "{y }", "1" );
+	RV rQR ( "{Q,R }", "3" );
 	//
 	KFcondQR KF;
 	// KF with R unknown
-	KF.set_parameters(A,B,C,D,ldmat(R),ldmat(Q));
-	KF.set_est(mu0,ldmat(P0) );
+	KF.set_parameters ( A, B, C, D, ldmat ( R ), ldmat ( Q ) );
+	KF.set_est ( mu0, ldmat ( P0 ) );
 	//
 	Kalman<ldmat> KFtr;
 	// KF with R unknown
-	KFtr.set_parameters(A,B,C,D,ldmat(R),ldmat(Q));
-	KFtr.set_est(mu0,ldmat(P0) );
-		
+	KFtr.set_parameters ( A, B, C, D, ldmat ( R ), ldmat ( Q ) );
+	KFtr.set_est ( mu0, ldmat ( P0 ) );
+
 	mgamma evolQR;
-	evolQR.set_parameters(10.0,"1 1 1"); //sigma = 1/10 mu
-	
+	evolQR.set_parameters ( 10.0, "1 1 1" ); //sigma = 1/10 mu
+
 	MPF<KFcondQR> KF_QR;
-	KF_QR.set_parameters(&evolQR,&evolQR,100);
-	evolQR.condition("1 1 1");
-	KF_QR.set_statistics(evolQR.e(), &KF);
-	const epdf& mpost=KF_QR.posterior();
-	const epdf& mposttr=KFtr.posterior();
+	KF_QR.set_parameters ( &evolQR, &evolQR, 100 );
+	evolQR.condition ( "1 1 1" );
+	KF_QR.set_statistics ( evolQR.e(), &KF );
+	const epdf& mpost = KF_QR.posterior();
+	const epdf& mposttr = KFtr.posterior();
 
-	XQRt.set_col( 0,mpost.mean());
-	Xt.set_col( 0,mposttr.mean());
-	for ( int t=1;t<Ndat;t++ ) {
-		KF_QR.bayes( Dt.get_col( t ));
-		KFtr.bayes( Dt.get_col( t ));
-		
-		XQRt.set_col(t,mpost.mean());
-		Xt.set_col(t,mposttr.mean());
+	XQRt.set_col ( 0, mpost.mean() );
+	Xt.set_col ( 0, mposttr.mean() );
+	for ( int t = 1; t < Ndat; t++ ) {
+		KF_QR.bayes ( Dt.get_col ( t ) );
+		KFtr.bayes ( Dt.get_col ( t ) );
+
+		XQRt.set_col ( t, mpost.mean() );
+		Xt.set_col ( t, mposttr.mean() );
 	}
-	
-	it_file fou( "testKF_QR_res.it" );
-	fou << Name("xqrth") << XQRt;
-	fou << Name("xth") << Xt;
+
+	it_file fou ( "testKF_QR_res.it" );
+	fou << Name ( "xqrth" ) << XQRt;
+	fou << Name ( "xth" ) << Xt;
 	//Exit program:
 	return 0;
